打印

lnmp1.5安装失败,MySQL install failed

lnmp1.5安装失败,MySQL install failed

军哥,麻烦看下。
服务器信息:
腾讯云,2核2G1M,CentOs7.4 64位

安装的mysql8.0,麻烦看下什么问题?

[ 本帖最后由 kevin_5_20 于 2018-6-1 12:43 编辑 ]
附件: 您所在的用户组无法下载或查看附件

TOP

[ 56%] Building CXX object sql/CMakeFiles/sql_gis.dir/item_geofunc_setops.cc.o
c++: internal compiler error: Killed (program cc1plus)
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
make[2]: *** [sql/CMakeFiles/sql_gis.dir/item_geofunc_setops.cc.o] Error 4
make[1]: *** [sql/CMakeFiles/sql_gis.dir/all] Error 2
make: *** [all] Error 2

内存不够用被kill掉,有可能有其他程序在运行占用了太多内存

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP

回复 2# 的帖子

军哥,我这个没有运行任何东西呀,就装了个centOs7.4,然后就开始安装lnmp1.5的,我把内存情况给您看下,现在应该可以用到的是277M+1.4G呀。怎么会内存不够呢

[root@VM_187_165_centos lnmp1.5]# free -h
              total        used        free      shared  buff/cache   available
Mem:           1.8G        169M        277M        384K        1.4G        1.4G
Swap:            0B          0B          0B
附件: 您所在的用户组无法下载或查看附件

TOP

回复 3# 的帖子

free只代表你运行free命令时的内存使用情况,反映不出你安装mysql时的
你可以ps aux 看一下有什么程序在运行

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP

复制内容到剪贴板
代码:
wget http://soft.vpser.net/lnmp/lnmp1.5.tar.gz -cO lnmp1.5.tar.gz && tar zxf lnmp1.5.tar.gz && cd lnmp1.5 && LNMP_Auto="y" DBSelect="6" DB_Root_Password="lnmp.org" InstallInnodb="y" PHPSelect="8" SelectMalloc="1" ./install.sh lnmp
刚才试了下,在一台512MB内存单核的Centos6机器上安装1.5正式版,成功了。

但在一台8G4核的Fedora28机器上安装1.5,失败了。

https://asciinema.org/a/i3uyTILd78nuKOHxHcQn4YYWr

把过程全部录了下来,最后的提示跟楼主一样也是数据库出问题。

我觉得还是在最通用的Linux上安装比较稳妥

[ 本帖最后由 Ang 于 2018-6-2 11:28 编辑 ]

TOP

果然如此。

同一台机器,硬件未变,前面装了Fedora 28,后面装了Centos 7,都是红帽子家族的,自动安装代码一样,结果却不一样。

前面的没装成,后面这个装成了,也录了下来。

https://asciinema.org/a/Gzpivi8XjbtuFXyRIqZPbMaxt

看来还是CentOS稳妥

TOP

回复 6# 的帖子

都是基于redhat,但是他们的理念是不一样的
就像debian和ubuntu

fedora 28在很多软件包上都有调整,而且是变化很大,如gcc8、libxcrypt等这些,nginx源码都没法直接编译安装,都是打了patch的
mariadb 5.5上目前并未有相关的patch来支持fedora 28上的一下改变
就像ubuntu 18.04 这些新的发行版变化都是很多的,但是软件包上不一定支持他们那边多的改变

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP

引用:
原帖由 licess 于 2018-6-2 15:08 发表
都是基于redhat,但是他们的理念是不一样的
就像debian和ubuntu

fedora 28在很多软件包上都有调整,而且是变化很大,如gcc8、libxcrypt等这些,nginx源码都没法直接编译安装,都是打了patch的
mariadb 5.5上目前并未有相关的p ...
哦,原来如此!
早知道我就拿那台8G的试装乌班图了。

从前头一回用VPS,就上的CentOS,所以后来一直就盯着这个用,以为同一家族的肯定是没什么问题的。

licess平常用CentOS还是Debian比较多?

TOP

回复 8# 的帖子

ubuntu 18.04的话也是单独做了适配才支持的,直接也是没法用的

我基本上都是用debian,没debian的话选centos,主要是稳,各种依赖之类的版本都不会太高

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP

回复 9# 的帖子

安装mysql5.7的没问题,安装8.0的就会失败。安装lnmp之前,空余内存是有1.5G的,还不够用么?

TOP

回复 10# 的帖子

这个没法确定,有空测试一下1.5G试试

LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP